%global srcname dbus
%global sum D-Bus Python 3 Bindings 

Summary: %{sum}
Name:    python3-%{srcname}
Version: 1.2.4
Release: 3%{?dist}

License: MIT
URL:     http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0: http://dbus.freedesktop.org/releases/dbus-python/dbus-python-%{version}.tar.gz
Source1: http://dbus.freedesktop.org/releases/dbus-python/dbus-python-%{version}.tar.gz.asc

# borrow centos7 patch to use sitearch properly
Patch0: 0001-Move-python-modules-to-architecture-specific-directo.patch

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
#BuildRequires: python-docutils
BuildRequires: python%{python3_pkgversion}-devel
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
%endif
# for %%check
BuildRequires: dbus-x11 pygobject3
# autoreconf and friends
BuildRequires: autoconf-archive automake libtool

%description
%{sum}.

%package -n python%{python3_pkgversion}-%{srcname}
Summary: %{sum} for Python %{python3_version}
%description -n python%{python3_pkgversion}-%{srcname}
%{sum}.

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary: %{sum} for Python %{python3_other_version}
%description -n python%{python3_other_pkgversion}-%{srcname}
%{sum}.
%endif


%prep
%setup -q -n dbus-python-%{version}
%patch0 -p1 -b .sitearch
# Remove obsolete macros such as AC_PROG_LIBTOOL
autoupdate
# For new arches (aarch64/ppc64le), and patch0
autoreconf -vif


%build
%global _configure ../configure
mkdir python%{python3_pkgversion}-build; pushd python%{python3_pkgversion}-build
%configure PYTHON=%{__python3}
make %{?_smp_mflags}
popd
%if 0%{?with_python3_other}
mkdir python%{python3_other_pkgversion}-build; pushd python%{python3_other_pkgversion}-build
%configure PYTHON=%{__python3_other}
make %{?_smp_mflags}
popd
%endif


%install
make install DESTDIR=%{buildroot} -C python%{python3_pkgversion}-build
%if 0%{?with_python3_other}
make install DESTDIR=%{buildroot} -C python%{python3_other_pkgversion}-build
%endif

# unpackaged files
rm -r  %{buildroot}%{_includedir}
rm -r  %{buildroot}%{_libdir}/pkgconfig
rm %{buildroot}%{python3_sitearch}/*.la
%if 0%{?with_python3_other}
rm %{buildroot}%{python3_other_sitearch}/*.la
%endif
rm -r %{buildroot}%{_datadir}/doc/dbus-python/


%check
make check -k -C python%{python3_pkgversion}-build
%if 0%{?with_python3_other}
make check -k -C python%{python3_other_pkgversion}-build
%endif


%files -n python%{python3_pkgversion}-%{srcname}
%license COPYING
%{python3_sitearch}/*.so
%{python3_sitearch}/%{srcname}/

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%license COPYING
%{python3_other_sitearch}/*.so
%{python3_other_sitearch}/%{srcname}/
%endif


%changelog
* Tue Nov 07 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.2.4-3
- Build for python3_other

* Mon Nov 7 2016 Orion Poplawski <orion@cora.nwra.com> - 1.2.4-2
- Run autoupdate to remove obsolete macros such as AC_PROG_LIBTOOL

* Wed Apr 6 2016 Orion Poplawski <orion@cora.nwra.com> - 1.2.4-1
- Initial EPEL package
